Subject: Re: Last Call: draft-ogud-iana-protocol-maintenance-words

From: Samuel Weiler <[email-masked]>
Date: Sat, 20 Mar 2010 14:27:25 -0400 (EDT)

On Thu, 18 Mar 2010, Brian E Carpenter wrote:

> In my opinion this is not ready for prime time.

+1

I concur with Brian's points #1 and #2.

I'm further concerned about DISCOURAGED.  Here it is defined as 
"Implementations SHOULD support this functionality," which seems very 
counter-intuitive.  (It was worse in version -02, where the 2119 MUST 
was used, making DISCOURAGED a stronger statement than MANDATORY.) 
There's too much potential for confusion here.

With that said, I am sympathetic to the need Andrew describes, of 
wanting to collect this requirement information in one place (for 
DNSSEC, in particular).  Putting this in the IANA registry is a grand 
idea.

But the terms in this doc still need work.

-- Sam